local E, L, V, P, G = unpack(ElvUI);
local MyPluginName = "MOGUI"
local MOGUI = E:GetModule(MyPluginName);


local profileName = "MOGUI"

--Cache global variables
--WoW API / Variables

--Global variables that we don't cache, list them here for the mikk's Find Globals script
-- GLOBALS: BigWigs3DB, LibStub

function MOGUI:LoadBigWigsProfile()

		--	BigWigs - Settings
			BigWigs3DB = {
				["namespaces"] = {
		["BigWigs_Plugins_Victory"] = {
		},
		["BigWigs_Plugins_Alt Power"] = {
			["profiles"] = {
				["MOGUI"] = {
					["posx"] = 288.0001302814453,
					["fontName"] = "Florence Sans",
					["posy"] = 374.7545228735835,
					["fontOutline"] = "OUTLINE",
					["font"] = "Friz Quadrata TT",
				},
			},
		},
		["LibDualSpec-1.0"] = {
		},
		["BigWigs_Plugins_Sounds"] = {
		},
		["BigWigs_Plugins_Statistics"] = {
		},
		["BigWigs_Plugins_Colors"] = {
		},
		["BigWigs_Plugins_Raid Icons"] = {
		},
		["BigWigs_Plugins_InfoBox"] = {
			["profiles"] = {
				["MOGUI"] = {
					["posx"] = 460.0887787787142,
					["posy"] = 382.5780773862134,
				},
			},
		},
		["BigWigs_Plugins_Bars"] = {
			["profiles"] = {
				["MOGUI"] = {
					["outline"] = "OUTLINE",
					["BigWigsAnchor_width"] = 196.9998931884766,
					["BigWigsAnchor_x"] = 294.3996809196542,
					["growup"] = false,
					["monochrome"] = false,
					["fontName"] = "Florence Sans",
					["BigWigsAnchor_height"] = 20,
					["fontSize"] = 13,
					["BigWigsAnchor_y"] = 478.5334268039442,
					["emphasizeGrowup"] = true,
					["texture"] = "Mogchamp",
					["barStyle"] = "MonoUI",
					["BigWigsEmphasizeAnchor_width"] = 195.0002899169922,
					["BigWigsEmphasizeAnchor_x"] = 620.0888533274338,
					["emphasizeTime"] = 8,
					["fontSizeEmph"] = 15,
					["BigWigsEmphasizeAnchor_y"] = 239.444330585502,
				},
			},
		},
		["BigWigs_Plugins_Super Emphasize"] = {
			["profiles"] = {
				["MOGUI"] = {
					["outline"] = "OUTLINE",
					["fontSize"] = 52,
					["fontName"] = "Florence Sans",
					["font"] = "Friz Quadrata TT",
				},
			},
		},
		["BigWigs_Plugins_Wipe"] = {
		},
		["BigWigs_Plugins_AutoReply"] = {
		},
		["BigWigs_Plugins_BossBlock"] = {
		},
		["BigWigs_Plugins_Respawn"] = {
		},
		["BigWigs_Plugins_Proximity"] = {
			["profiles"] = {
				["MOGUI"] = {
					["posx"] = 798.5781852753862,
					["fontSize"] = 15,
					["fontName"] = "Florence Sans",
					["width"] = 140.0000152587891,
					["font"] = "Expressway",
					["lock"] = false,
					["height"] = 119.9999465942383,
					["sound"] = true,
					["posy"] = 379.7338196372875,
				},
			},
		},
		["BigWigs_Plugins_Pull"] = {
		},
		["BigWigs_Plugins_Messages"] = {
			["profiles"] = {
				["MOGUI"] = {
					["outline"] = "OUTLINE",
					["BWEmphasizeCountdownMessageAnchor_x"] = 666.311083842647,
					["BWMessageAnchor_y"] = 457.244498919117,
					["BWMessageAnchor_x"] = 615.11112600565,
					["fontName"] = "Florence Sans",
					["BWEmphasizeCountdownMessageAnchor_y"] = 529.777790606022,
					["font"] = "Friz Quadrata TT",
				},
			},
		},
		["BigWigs_Plugins_Pull"] = {
		},
		["LibDualSpec-1.0"] = {
		},
	},
}
		
		BigWigsIconDB = {
			["hide"] = true,
		}
		BigWigs3IconDB = nil
		BigWigsStatsDB = {
		}
		BigWigsStatisticsDB = nil
		
		-- Profile creation
		local db = LibStub("AceDB-3.0"):New(BigWigs3DB)
		db:SetProfile(profileName)
	end
