local E, L, V, P, G = unpack(ElvUI);
local MyPluginName = "MOGUI"
local MOGUI = E:GetModule(MyPluginName);



--Cache global variables
--WoW API / Variables

--Global variables that we don't cache, list them here for the mikk's Find Globals script
-- GLOBALS: AddOnSkinsDB, LibStub
function MOGUI:LoadAddOnSkinsProfile()
    
        --    AddonSkins - Settings

		
if AddOnSkinsDB["profiles"]["MOGUI"] == nil then AddOnSkinsDB["profiles"]["MOGUI"] = {} end
		
		-- defaults
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedLeft'] = 'Skada'
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedLeft'] = 'Skada'
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedMain'] = 'Skada'
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedRight'] = 'Skada'
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedSystem'] = false
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedSystemDual'] = false
		AddOnSkinsDB["profiles"]["MOGUI"]['ParchmentRemover'] = true
		AddOnSkinsDB["profiles"]["MOGUI"]['TransparentEmbed'] = false
		AddOnSkinsDB["profiles"]["MOGUI"]['DBMSkinHalf'] = true
		
		--   Embeded settings  	--
	if IsAddOnLoaded("Skada") then
		AddOnSkinsDB["profiles"]["MOGUI"]['SkadaBackdrop'] = false
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedFrameStrata'] = "2-LOW"
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedBelowTop'] = false
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedLeft'] = 'Skada'
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedMain'] = 'Skada'
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedRight'] = 'Skada'
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedSystem'] = false
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedSystemDual'] = true
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedLeftWidth'] = 182
		AddOnSkinsDB["profiles"]["MOGUI"]['TransparentEmbed'] = true
	end

	if IsAddOnLoaded("Details") then
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedFrameStrata'] = "2-LOW"
		AddOnSkinsDB["profiles"]["MOGUI"]['DetailsBackdrop'] = false
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedBelowTop'] = false
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedLeft'] = 'Details'
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedMain'] = 'Details'
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedRight'] = 'Details'
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedSystem'] = false
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedSystemDual'] = true
		AddOnSkinsDB["profiles"]["MOGUI"]['EmbedLeftWidth'] = 182
		AddOnSkinsDB["profiles"]["MOGUI"]['TransparentEmbed'] = true
	end

	if IsAddOnLoaded("DBM-Core") then
		AddOnSkinsDB["profiles"]["MOGUI"]['DBMFont'] = 'Florence Sans'
		AddOnSkinsDB["profiles"]["MOGUI"]['DBMFontSize'] = 13
		AddOnSkinsDB["profiles"]["MOGUI"]['DBMRadarTrans'] = true
	end
	
        -- Profile creation
        local db = LibStub("AceDB-3.0"):New(AddOnSkinsDB)
        db:SetProfile("MOGUI")
    end
	